Opened 7 years ago

Closed 7 years ago

#37 closed defect (worksforme)

System hangs after installing AHCI 1.32 and PCIe SATA card

Reported by: thomabrown Owned by: David Azarewicz
Priority: Feedback Pending Milestone:
Component: driver Version: 1.32
Keywords: boot hang Cc: steve53@…

Description

Tyan S2895 Thunder K8WE mainboard with 4 x nVidia SATA ports working. Installed a new PCIe 4-port SATA controller for a 2 TiB Seagate drive. System hung during boot at the time it would be doing the chkdsk on the new drive. OS2AHCI.ADD added to config.sys in front of DANIS506.ADD. Long story short, I swapped the new HD to a mainboard SATA port with a Plextor DVDRW on the new controller. Still hung, this time on OS2CDROM.DMD. I remmed that out, and it booted OK. TESTLOG was run, hopefully with some good info.

Attachments (1)

NEWCOMP-20131120-ahci-1.32.zip (6.9 KB) - added by thomabrown 7 years ago.
testlog of boot problem, OS2CDROM.DMD remmed

Download all attachments as: .zip

Change History (11)

Changed 7 years ago by thomabrown

testlog of boot problem, OS2CDROM.DMD remmed

comment:1 Changed 7 years ago by thomabrown

Summary: System hangs after installing AHCO 1.32 and PCIe SATA cardSystem hangs after installing AHCI 1.32 and PCIe SATA card

comment:2 Changed 7 years ago by Steven Levine

Cc: steve53@… added
Type: commentdefect

comment:3 Changed 7 years ago by Steven Levine

It's probably worthwhile to update to the most recent danis506 release:

ftp://ftp.netlabs.org/incoming/danis506-1.8.15.zip

Also, if you think that Danis506 might be contributing to the issues, it is recommended that you add

/DEBUG:-31

to the Danis506 command line.

comment:4 Changed 7 years ago by thomabrown

I added the latest danis506.add from the link above and the /DEBUG:-31.
The boot still hangs on OS2CDROM.DMD. OK if I rem that driver.

comment:5 Changed 7 years ago by David Azarewicz

Owner: set to David Azarewicz
Priority: majorFeedback Pending
Status: newaccepted

Please do not zip the log files before attaching them to the ticket.

The log shows no problems whatsoever. (Other than the old DaniS506 driver.) Everything is working exactly as it should.

In order to figure out what is happening, I need a log or a system dump when the system is in the broken configuration, ie. when it is hung. At this point we do not know where your problem is. It may not be the AHCI driver. For now, we can capture some data from the AHCI driver to try and see what the system is doing. Either a serial port log up to the time of the hang, or a system dump when it is hung would be OK.

comment:6 Changed 7 years ago by David Azarewicz

I also noticed that the 1b4b:9215 device at 129:0:0 is using interrupt 5, which is almost certainly wrong. This would indicate a PCI device configuration error (ie a BIOS defect), although Marvell devices are notoriously problematic.

Perhaps a more useful log would be a "testlog ACPI" in your current configuration (using the debug PSD, of course.)

comment:7 Changed 7 years ago by David Azarewicz

Please see the requirements at http://svn.netlabs.org/acpi/wiki/Requirements
Specifically "If your BIOS has a "Plug n Play OS" setting, it should be set to NO."

comment:8 Changed 7 years ago by thomabrown

Sorry about the zipped log...

Dasin506 now at:

Build Level Display Facility Version 6.12.675 Sep 25 2001
(C) Copyright IBM Corporation 1993-2001
Signature: @#slainc:1.8.15#@##1## 2013/04/23 18:00:41 slamain::::15::@@Adapter Driver for PATA/SATA DASD
Vendor: slainc
Revision: 1.08.15
Date/Time?: 2013/04/23 18:00:41
Build Machine: slamain
File Version: 1.8.15
Description: Adapter Driver for PATA/SATA DASD

Reading the link above, My mainboard DOES have a Nvidia chipset. I can't do anything about it just now but I plan to replace the mainboard sometime in the next year.

I have submitted the output of TESTLOG ACPI. See above. I BELIEVE I have the debug PSD. What I have is:

Build Level Display Facility Version 6.12.675 Sep 25 2001
(C) Copyright IBM Corporation 1993-2001
Signature: @#D Azarewicz:3.22.02#@##1## 3 Jul 2013 10:06:34 DAZAR1
@ACPI based PSD for eCS (c) Mensys BV 2005-2013
Vendor: D Azarewicz
Revision: 3.22.02
Date/Time?: 3 Jul 2013 10:06:34
Build Machine: DAZAR1
File Version: 3.22.2
Description: ACPI based PSD for eCS (c) Mensys BV 2005-2013

I will try to get a serial port log or a system dump. Either one will take some learning on my part and some time.

Thanks!

comment:9 Changed 7 years ago by David Azarewicz

According to the specs for your motherboard, it uses an AMD chipset, not an Nvidia chipset.

I don't see the output from "testlog ACPI" anywhere.

The Bldlevel you attached is for the retail PSD. "testlog ACPI" will not run if you don't have the debug PSD installed.

Actually, now that I see that the BIOS has setup the system incorrectly by assigning interrupt 5 to the 1b4b:9215 device, that is almost certainly the problem. And this is definitely NOT a problem with the AHCI driver. Therefore any system dump, or serial log of the AHCI driver will not be useful, so don't bother.

Make sure you have "PNP OS" set to "NO" in the BIOS. The "testlog ACPI" will dump your ACPI tables which will tell me if the defect is in your ACPI.

comment:10 Changed 7 years ago by David Azarewicz

Resolution: worksforme
Status: acceptedclosed

No response from reporter. Not an AHCI problem.

Note: See TracTickets for help on using tickets.